// pages/writeSuggestion/writeSuggestion.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        suggestTitle: '', //接收输入的建议标题
        suggestContent: '' //接收输入的建议内容
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    // 获取输入的标题内容
    getSuggestTitle(e) {
        // console.log(e.detail.value)
        this.setData({
            suggestTitle: e.detail.value
        })
        // console.log('suggestTitle:', this.data.suggestTitle);
    },

    // 获取输入的建议内容
    getSuggestContent(e) {
        this.setData({
            suggestContent: e.detail.value
        })
        // console.log('suggestContent:', this.data.suggestContent);
    },

    // 取消按钮功能
    toCancel() {
        this.setData({
            suggestTitle: '',
            suggestContent: ''
        })
        wx.navigateBack({
            delta: 1,
        })
        // console.log('取消后suggestTitle：',this.data.suggestTitle);
        // console.log('取消后suggestContent：',this.data.suggestContent);
    },

    // 提交按钮功能
    toConfirm() {
        // 先判断标题和内容是否为空，如果为空，则不能提交
        let suggestTitle = this.data.suggestTitle
        let suggestContent = this.data.suggestContent
        var head = '^[ ]+$'
        var re = new RegExp(head)
        if (!suggestTitle) {
            wx.showModal({
                title: '建议标题未写',
                content: '请补充标题后再重新提交'
            })
        } else if (re.test(suggestTitle)) {
            wx.showModal({
                title: '标题不能全为空格',
                content: '建议标题不能全部为空格，请修改建议标题后再提交'
            })
        } else if (!suggestContent) {
            wx.showModal({
                title: '建议内容未写',
                content: '建议内容不能为空，请补充建议内容后再提交'
            })
        } else if (re.test(suggestContent)) {
            wx.showModal({
                title: '建议内容不能全部为空格',
                content: '建议内容不能全部为空格，请修改建议内容后再提交'
            })
        }
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})